Bug 35355 - in Writer drawing object selects incorrectly
Summary: in Writer drawing object selects incorrectly
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 RC1
Hardware: All All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-16 07:30 UTC by sasha.libreoffice
Modified: 2021-03-26 04:00 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
document with formula and drawing object square and circle grouped together (13.22 KB, application/vnd.oasis.opendocument.text)
2011-03-16 07:30 UTC, sasha.libreoffice
Details
ZIP containing two ODTs, each with a series of objects (raster, formula, drawn) inserted. (37.46 KB, application/zip)
2013-11-15 00:36 UTC, Owen Genat (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-03-16 07:30:38 UTC
Created attachment 44501 [details]
document with formula and drawing object square and circle grouped together

To reproduce problem create document with formula and drawing object square and circle grouped together. This document is in attachment.

To reproduce this problem with selecting (after each click wait 2 sec):

on Linux: place cursor in text, then select square, press Ctrl and click inside square. Formula will be selected 

on Windows: place cursor in text, then select square, press Ctrl and click circle inside square. Formula will be selected 


I found this problem while trying to select drawing object inside of group. To select something inside of group we should press Ctrl and click desired object.

When formula selects in this example, it not want unselect by pressing inside the text.

produced on Mandriva 64 bit and windows XP 32 bit
LibreOffice 3.3.1.2 and 3.3.2.1rc1
Comment 1 Björn Michaelsen 2011-12-23 11:50:02 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 2 sasha.libreoffice 2011-12-30 00:34:59 UTC
reproduced on LibO 3.5.0 beta 1
Comment 3 Vicent Vendrell 2012-04-24 09:52:41 UTC
[Reproducible] with LibreOffice 3.5.2.2 - Debian 6.0.3 squeeze (32bit)Catalan UI

[Reproducible] with LibreOffice 3.5.2.2 - Win XP (32bit) Spanish UI

This problem takes place even with shift key pressed instead Ctrl.
Comment 4 bfoman (inactive) 2012-06-26 04:47:12 UTC
Confirmed with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

As per comment 0 - when circle is ctrl+clicked, formula text field gets selected.
Comment 5 Owen Genat (retired) 2013-11-15 00:36:24 UTC
Created attachment 89241 [details]
ZIP containing two ODTs, each with a series of objects (raster, formula, drawn) inserted.

Just an update on this bug. The order of insertion of the formula or graphic (raster) appears to affect which object is subsequently selected when attempting to select two drawn (frame/vector) objects. The two attached ODTs differ only in the order that the formula and graphic (PNG) have been inserted. In each file there is a pair of drawn objects before and after the formula and PNG. 

Under Crunchbang 11 x86_64 running v4.1.3.2 regardless of which two drawn objects are selected it appears to be the formula or graphic that is *first* inserted that is selected. For example, if a formula is the first non-drawn object inserted, then attempting to select any other two drawn objects will result in the formula being selected. If a graphic is the first non-drawn object inserted, then attempting to select any other two drawn objects will result in the graphic being selected.
Comment 6 Owen Genat (retired) 2013-11-15 00:37:38 UTC
*** Bug 45240 has been marked as a duplicate of this bug. ***
Comment 7 QA Administrators 2015-04-19 03:21:13 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   *Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1 or later)
   https://www.libreoffice.org/download/

   *If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
   *If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   *Update the version field
   *Reply via email (please reply directly on the bug tracker)
   *Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results. 
4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-04-18
Comment 8 Gordo 2015-04-19 12:44:28 UTC
Could not reproduce.

In the original attached document, I had to change the anchor to paragraph in order to select the circle.

Windows Vista 64
Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6

Changed to RESOLVED WORKSFORME.
Comment 9 watkit 2021-03-26 04:00:07 UTC
The Whataburger Customer Survey is an online survey designed by Whataburger restaurants to help measure your satisfaction with services and products offered by the restaurant. Share your opinion about Whataburger Customer Service at https://whataburgersurvey.me and get a chance to win Whataburger Rewards.